---
title: CSS Namespaces
slug: Web/CSS/CSS_Namespaces
tags:
  - CSS
  - CSS Namespaces
  - Guide
  - Overview
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p><strong>CSS Namespaces</strong> is a CSS module that allows authors to specify <a href="/en-US/docs/Namespaces">XML namespaces</a> in CSS.</p>

<h2 id="Reference">Reference</h2>

<h3 id="At-rules">At-rules</h3>

<div class="index">
<ul>
 <li>{{cssxref("@namespace")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Namespaces")}}</td>
   <td>{{Spec2("CSS3 Namespaces")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="namespace_rule"><code>@namespace</code> rule</h3>

<div>

<p>{{Compat("css.at-rules.namespace")}}</p>
</div>
